package hmggirlfront;

import hmggirlfront.items.ItemDollCore;
import hmggirlfront.items.ItemDollGunBase;
import hmggirlfront.items.ItemDollGun_HL;
import hmggirlfront.items.ItemDollGun_SR;
import net.minecraft.item.Item;
import net.minecraft.util.ResourceLocation;
import net.minecraftforge.event.RegistryEvent;

public class GFItemGunHL_Registry {
	public static void registry(mod_GirlFront mod, RegistryEvent.Register<Item> event){
		net.minecraftforge.fml.common.ProgressManager.ProgressBar bar= net.minecraftforge.fml.common.ProgressManager.push("GF_HL_Loading", 6, true);
		{//start
			mod.dollgun_at4	= new ItemDollGun_SR().setUnlocalizedName("dollgun_at4")
					.setRegistryName(mod.MOD_ID, "dollgun_at4").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_at4;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/hl/at4.txt");
				LoadDollStatus.load(gun, mod, event, status, "hl/at4.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_at4;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_at4);
		    {
				 mod.core_at4	= new ItemDollCore(130, mod.dollgun_at4,  null).setUnlocalizedName("core_at4")
				    		.setRegistryName(mod.MOD_ID, "core_at4").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_at4;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_at4;
					 core.craft_time = gun.doll_crafttime;
					 mod.gl_rare[mod.gl_id] = gun.doll_rare;
					 mod.gl_item[mod.gl_id] = mod.core_at4;
					 ++mod.gl_id;
				 }
				    
				    event.getRegistry().register(mod.core_at4);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_at4;
		    	gun.doll_core = mod.core_at4;
		    }
		}bar.step("gun load");//end
		
		{//start
			mod.dollgun_ags30	= new ItemDollGun_HL().setUnlocalizedName("dollgun_ags30")
					.setRegistryName(mod.MOD_ID, "dollgun_ags30").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_ags30;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/hl/ags30.txt");
				LoadDollStatus.load(gun, mod, event, status, "hl/ags30.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_ags30;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_ags30);
		    {
				 mod.core_ags30	= new ItemDollCore(130, mod.dollgun_ags30,  null).setUnlocalizedName("core_ags30")
				    		.setRegistryName(mod.MOD_ID, "core_ags30").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_ags30;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_ags30;
					 core.craft_time = gun.doll_crafttime;
					 mod.gl_rare[mod.gl_id] = gun.doll_rare;
					 mod.gl_item[mod.gl_id] = mod.core_ags30;
					 ++mod.gl_id;
				 }
				    
				    event.getRegistry().register(mod.core_ags30);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_ags30;
		    	gun.doll_core = mod.core_ags30;
		    }
		}bar.step("gun load");//end
		
		{//start
			mod.dollgun_bgm71	= new ItemDollGun_HL().setUnlocalizedName("dollgun_bgm71")
					.setRegistryName(mod.MOD_ID, "dollgun_bgm71").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_bgm71;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/hl/bgm71.txt");
				LoadDollStatus.load(gun, mod, event, status, "hl/bgm71.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_bgm71;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_bgm71);
		    {
				 mod.core_bgm71	= new ItemDollCore(130, mod.dollgun_bgm71,  null).setUnlocalizedName("core_bgm71")
				    		.setRegistryName(mod.MOD_ID, "core_bgm71").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_bgm71;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_bgm71;
					 core.craft_time = gun.doll_crafttime;
					 mod.gl_rare[mod.gl_id] = gun.doll_rare;
					 mod.gl_item[mod.gl_id] = mod.core_bgm71;
					 ++mod.gl_id;
				 }
				    
				    event.getRegistry().register(mod.core_bgm71);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_bgm71;
		    	gun.doll_core = mod.core_bgm71;
		    }
		}bar.step("gun load");//end
		
		{//start
			mod.dollgun_m2m	= new ItemDollGun_HL().setUnlocalizedName("dollgun_m2m")
					.setRegistryName(mod.MOD_ID, "dollgun_m2m").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_m2m;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/hl/m2m.txt");
				LoadDollStatus.load(gun, mod, event, status, "hl/m2m.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_m2m;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_m2m);
		    {
				 mod.core_m2m	= new ItemDollCore(130, mod.dollgun_m2m,  null).setUnlocalizedName("core_m2m")
				    		.setRegistryName(mod.MOD_ID, "core_m2m").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_m2m;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_m2m;
					 core.craft_time = gun.doll_crafttime;
					 mod.gl_rare[mod.gl_id] = gun.doll_rare;
					 mod.gl_item[mod.gl_id] = mod.core_m2m;
					 ++mod.gl_id;
				 }
				    
				    event.getRegistry().register(mod.core_m2m);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_m2m;
		    	gun.doll_core = mod.core_m2m;
		    }
		}bar.step("gun load");//end
		
		{//start
			mod.dollgun_mk47	= new ItemDollGun_HL().setUnlocalizedName("dollgun_mk47")
					.setRegistryName(mod.MOD_ID, "dollgun_mk47").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_mk47;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/hl/mk47.txt");
				LoadDollStatus.load(gun, mod, event, status, "hl/mk47.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_mk47;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_mk47);
		    {
				 mod.core_mk47	= new ItemDollCore(130, mod.dollgun_mk47,  null).setUnlocalizedName("core_mk47")
				    		.setRegistryName(mod.MOD_ID, "core_mk47").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_mk47;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_mk47;
					 core.craft_time = gun.doll_crafttime;
					 mod.gl_rare[mod.gl_id] = gun.doll_rare;
					 mod.gl_item[mod.gl_id] = mod.core_mk47;
					 ++mod.gl_id;
				 }
				    
				    event.getRegistry().register(mod.core_mk47);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_mk47;
		    	gun.doll_core = mod.core_mk47;
		    }
		}bar.step("gun load");//end
		
		{//start
			mod.dollgun_2b14	= new ItemDollGun_HL().setUnlocalizedName("dollgun_2b14")
					.setRegistryName(mod.MOD_ID, "dollgun_2b14").setCreativeTab(mod.tabgg_gun);
			{
				ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_2b14;
				ResourceLocation status = new ResourceLocation("hmggirlfront:textures/model/status/hl/2b14.txt");
				LoadDollStatus.load(gun, mod, event, status, "hl/2b14.txt");
				
				mod.ar_item_gun[mod.ar_id_gun] = mod.dollgun_2b14;
				 ++mod.ar_id_gun;
			}
		    event.getRegistry().register(mod.dollgun_2b14);
		    {
				 mod.core_2b14	= new ItemDollCore(130, mod.dollgun_2b14,  null).setUnlocalizedName("core_2b14")
				    		.setRegistryName(mod.MOD_ID, "core_2b14").setCreativeTab(mod.tabgg_core);
				 {
					 ItemDollCore core = (ItemDollCore) mod.core_2b14;
					 ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_2b14;
					 core.craft_time = gun.doll_crafttime;
					 mod.gl_rare[mod.gl_id] = gun.doll_rare;
					 mod.gl_item[mod.gl_id] = mod.core_2b14;
					 ++mod.gl_id;
				 }
				    
				    event.getRegistry().register(mod.core_2b14);
			}
		    {
		    	ItemDollGunBase gun = (ItemDollGunBase) mod.dollgun_2b14;
		    	gun.doll_core = mod.core_2b14;
		    }
		}bar.step("gun load");//end
		
		
		net.minecraftforge.fml.common.ProgressManager.pop(bar);
	}
}
